Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.config.imp
Class TSInitInfoImp

    java.lang.Object
      com.atomikos.icatch.config.imp.TSInitInfoImp

All Implemented Interfaces:
  TSInitInfo

    public class TSInitInfoImp

extends Object
implements TSInitInfo

implementation of TSInitInfo.

Constructor Summary
`TSInitInfoImp()`

Method Summary
`Enumeration` | `getLogAdministrators()` Get the log administrators.
`Properties` | `getProperties()` Get the configuration properties for the transaction service.
`String` | `getProperty(String name)` Get the value of the given property.
`Enumeration` | `getResources()` Get the resources registered.
`void` | `registerLogAdministrator(LogAdministrator admin)` Register a LogAdministrator instance for administration.
`void` | `registerResource(RecoverableResource resource)` Add a resource.
`void` | `setProperties(Properties properties)` Sets the properties that the transaction service should use.
`void` | `setProperty(String name, String value)` Set the initialization property with the given name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TSInitInfoImp

    public TSInitInfoImp()

Method Detail

### setProperties

    public void setProperties(Properties properties)

  Description copied from interface: `TSInitInfo`
  Sets the properties that the transaction service should use.

  Specified by:
    `setProperties` in interface `TSInitInfo`
  Parameters:
    `properties` - The properties. These values will override any properties found in the server configuration file.
  See Also:
    `TSInitInfo`

### getProperties

    public Properties getProperties()

  Description copied from interface: `TSInitInfo`
  Get the configuration properties for the transaction service.

  Specified by:
    `getProperties` in interface `TSInitInfo`
  Returns:
    Properties The configuration properties. Initially, these will include any properties read from the server configuration file.
  See Also:
    `TSInitInfo`

### getResources

    public Enumeration getResources()

  Description copied from interface: `TSInitInfo`
  Get the resources registered.

  Specified by:
    `getResources` in interface `TSInitInfo`
  Returns:
    Enumeration The resources, or empty if none.
  See Also:
    `TSInitInfo`

### registerLogAdministrator

    public void registerLogAdministrator(LogAdministrator admin)

  Description copied from interface: `TSInitInfo`
  Register a LogAdministrator instance for administration. This allows inspection of active transactions and manual intervention. Care should be taken if multiple instances are registered: the responsibility of taking conflicting manual decisions is entirely with the user!

  Specified by:
    `registerLogAdministrator` in interface `TSInitInfo`
  Parameters:
    `admin` - The instance.
  See Also:
    `TSInitInfo`

### getLogAdministrators

    public Enumeration getLogAdministrators()

  Description copied from interface: `TSInitInfo`
  Get the log administrators.

  Specified by:
    `getLogAdministrators` in interface `TSInitInfo`
  Returns:
    Enumeration The registered administrators.
  See Also:
    `TSInitInfo`

### registerResource

    public void registerResource(RecoverableResource resource)

  Description copied from interface: `TSInitInfo`
  Add a resource. The purpose of registering resources is mainly to be able to enable recovery of these resources. This is needed for those ResourceTransaction instances that do not encapsulate the full state themselves, such as in the XAResource case.

  Specified by:
    `registerResource` in interface `TSInitInfo`
  Parameters:
    `resource` - The resource to add.
  See Also:
    `TSInitInfo`

### setProperty

    public void setProperty(String name,
                            String value)

  Description copied from interface: `TSInitInfo`
  Set the initialization property with the given name

  Specified by:
    `setProperty` in interface `TSInitInfo`
  Parameters:
    `name` - The name of the property.
    `value` - The value.
  See Also:
    `com.atomikos.icatch.TSInitInfo#setProperty(java.lang.String, java.lang.String)`

### getProperty

    public String getProperty(String name)

  Description copied from interface: `TSInitInfo`
  Get the value of the given property.

  Specified by:
    `getProperty` in interface `TSInitInfo`
  Parameters:
    `name` - The name of the property.
  Returns:
    String The property value, or null if not defined.
  See Also:
    `com.atomikos.icatch.TSInitInfo#getProperty(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.